Bug Hunting Session
Bug 71414 - take NUM_PREC_RADIX into account
Summary: take NUM_PREC_RADIX into account
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: difficultyInteresting, needsDevEval, skillCpp, skillSql
Depends on:
Blocks: Database-Tables
  Show dependency treegraph
 
Reported: 2013-11-09 01:26 UTC by Lionel Elie Mamane
Modified: 2019-08-19 19:53 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Lionel Elie Mamane 2013-11-09 01:26:41 UTC
XDatabaseMetadata::getTypeInfo() and XDatabaseMetaData::getColumns() both have a NUM_PREC_RADIX in their result, which is blissfully ignored by LibreOffice, which behaves as if it were 10. See bug 67179 comment 5 for an example.

Everywhere where COLUMN_SIZE / PRECISION / DECIMAL_DIGITS from the resultset of these API calls is used, they *must* be interpreted in combination with NUM_PREC_RADIX.
Comment 1 Robinson Tryon (qubit) 2013-11-25 02:31:08 UTC
Status -> NEW
Comment 2 Joel Madero 2014-02-27 23:29:06 UTC
In order to limit the confusion between ProposedEasyHack and EasyHack and to make queries much easier we are changing ProposedEasyHack to NeedsDevEval.

Thank you and apologies for the noise
Comment 3 Alex Thurgood 2015-01-03 17:38:15 UTC Comment hidden (no-value)
Comment 4 Robinson Tryon (qubit) 2015-12-14 04:54:04 UTC Comment hidden (obsolete)
Comment 5 QA Administrators 2017-01-03 19:46:52 UTC Comment hidden (obsolete)
Comment 6 Mark Rotteveel 2017-01-04 09:26:58 UTC
I tested it with LibreOffice 5.2.4.2 on Windows 10 (64 bit) using the problem description in bug 67179 and Jaybird 2.2.3 (Firebird JDBC driver) (which communicated lengths in base 2).

The table design view still indicates that an integer is 32 wide instead of 10.

With a driver that communicates the lengths in base 10 (for example Jaybird 2.2.4 and higher; tested with 2.2.12) the length is shown correctly (as then the length is already in base 10).
Comment 7 QA Administrators 2018-01-05 03:41:05 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug